For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTAddPushCredential
        • POSTSetPushCredential
        • POSTDelPushCredential
        • POSTGetPushCredential
        • POSTBindPushCredential
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferencePush Credentials

BindPushCredential

||View as Markdown|
POST
https://api.voximplant.com/platform_api/BindPushCredential
POST
/platform_api/BindPushCredential
$curl -X POST "https://api.voximplant.com/platform_api/BindPushCredential?push_credential_id=12345&application_id=67890&bind=true" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Example 1
1{
2 "result": 1
3}

Binds push credentials to applications.

Allowed roles: Owner, Admin, Developer.

Example request: Bind the push credential to the application.

Was this page helpful?
Previous

GetPushCredential

Next

AddDialogflowKey

Built with

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

push_credential_idlist of integersRequired

The push credentials ID list separated by semicolons (;)

application_idlist of integersRequired

The application ID list separated by semicolons (;). Use the ‘all’ value to select all applications

bindbooleanOptional

Whether to bind or unbind (set true or false respectively)

Response

Successful response
resultinteger